Facebook Profile Scraper API
With Facebook Profile Scraper API, you can scrape any profile. You just have to pass the ID of that person, and our API will return the parsed JSON data.
Parameters
Scrapingdog Parameters
Parameter
Description
Search Query
Parameter
Description
API Example
curl "https://api.scrapingdog.com/facebook/profile?api_key=APIKEY&username=nike"import requests
api_key = 'APIKEY'
username = 'nike'
params = {
'api_key': api_key,
'username': username
}
response = requests.get('https://api.scrapingdog.com/facebook/profile', params=params)
if response.status_code == 200:
# Parse the JSON response using response.json()
response_data = response.json()
# Now you can work with the response_data as a Python dictionary
print(response_data)
else:
print(f'Request failed with status code: {response.status_code}')
API Response
{
"title": "Nike",
"likes": 39647103,
"categories": "",
"info": [
"Nike",
"39,647,103 likes",
"213,907 talking about this",
"17,515 were here",
"Just Do It"
],
"education": [],
"work": [],
"pageUrl": "fb://profile/100044541544829",
"url": "https://www.facebook.com/nike?locale=en_US",
"id": "100044541544829",
"coverPhoto": "https://scontent-arn2-1.xx.fbcdn.net/v/t39.30808-6/285211224_10159903868008445_5477337468887983165_n.png?stp=dst-webp&_nc_cat=102&ccb=1-7&_nc_sid=cc71e4&_nc_ohc=dlaMFdETZ14Q7kNvwEIXDVy&_nc_oc=AdpbpfdFhu2QLoETt1Ted0JInsKR8jyfgtcYsKYjgVOx6iGLrMOIlW8oFfEJYYloBpM&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&_nc_ht=scontent-arn2-1.xx&_nc_gid=CgWvEcD3Uyiw2cfP7nLOQg&_nc_ss=7039b&oh=00_Af40qP_1IVtN4dkiV50KHIZnKDuBZznyYCu5BEazdcSz_g&oe=6A1CC3E2"
}Last updated